#!/bin/bash

rm -Rf  test.idx test_*.* test/

CONVERT=$1

if [ ! $CONVERT ]; then
    CONVERT="win/release/visusconvert.exe"
fi

fields="DATA 3*uint8 compressed"

$CONVERT --create test.idx --box "0 255 0 1023" --fields "$fields" --bitsperblock 12

# show how several files can be "merged" together in import

$CONVERT \
	--read /dev/null --dtype uint8 --ndtype 3 --dims "256 1024" \
	--import resources/cat_rgb.tga --inplace "0 255 0   255"  \
	--import resources/cat_rgb.tga --inplace "0 255 256 511"  \
	--import resources/cat_rgb.tga --inplace "0 255 512 767"  \
	--import resources/cat_rgb.tga --inplace "0 255 768 1023" \
	--write test.idx --box "0 255 0 1023"
	
echo 
echo
	
$CONVERT --read test.idx --box "0 255 0 1023" --export test_overall.jpg
	
	
